--- old/usr/src/cmd/lofiadm/main.c	Wed Jan 15 00:51:01 2014
+++ new/usr/src/cmd/lofiadm/main.c	Wed Jan 15 00:51:01 2014
@@ -66,9 +66,14 @@
 #include <blowfish/blowfish_impl.h>
 
 static const char USAGE[] =
-	"Usage: %s [-r] -a file [ device ] "
-	" [-c aes-128-cbc|aes-192-cbc|aes-256-cbc|des3-cbc|blowfish-cbc]"
-	" [-e] [-k keyfile] [-T [token]:[manuf]:[serial]:key]\n"
+	"Usage: %s [-r] -a file [ device ]\n"
+	"       %s [-r] -c crypto_algorithm -a file [device]\n"
+	"       %s [-r] -c crypto_algorithm -k raw_key_file -a file [device]\n"
+	"       %s [-r] -c crypto_algorithm -T [token]:[manuf]:[serial]:key "
+	"-a file [device]\n"
+	"       %s [-r] -c crypto_algorithm -T [token]:[manuf]:[serial]:key "
+	"-k wrapped_key_file -a file [device]\n"
+	"       %s [-r] -c crypto_algorithm -e -a file [device]\n"
 	"       %s -d file | device\n"
 	"       %s -C [gzip|gzip-6|gzip-9|lzma] [-s segment_size] file\n"
 	"       %s -U file\n"
@@ -151,7 +156,7 @@
 usage(const char *pname)
 {
 	(void) fprintf(stderr, gettext(USAGE), pname, pname, pname,
-	    pname, pname);
+	    pname, pname, pname, pname, pname, pname, pname);
 	exit(E_USAGE);
 }
 
